cgGetSamplerStateAssignmentParameter(3)

NAME
cgGetSamplerStateAssignmentParameter - get the sampler parameter being set up given a state assignment in its sampler_state block

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetSamplerStateAssignmentParameter( CGstateassignment sa );

PARAMETERS

sa  The state assignment in a sampler_state block

RETURN VALUES
Returns a handle to a parameter.

Returns NULL if sa is not a state assignment in a sampler_state block.

DESCRIPTION
Given the handle to a state assignment in a sampler_state block in an effect file, cgGetSamplerStateAssignmentParameter returns a handle to the sampler parameter being initialized.

EXAMPLES
Given an effect file with:

  sampler2D foo = sampler_state { GenerateMipmap = true; }
cgGetSamplerStateAssignmentParameter returns a handle to foo if passed a handle to the GenerateMipmap state assignment.

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

HISTORY
cgGetSamplerStateAssignmentParameter was introduced in Cg 1.4.

SEE ALSO
cgIsStateAssignment, cgIsParameter